Subject: Re: [PATCH net-next v1 1/2] net: dsa: mv88e6xxx: Default CMODE to 1000BaseX only on 6390X

From: Marek Behun <[email-masked]>
Date: Thu, 24 Jan 2019 19:04:51 +0100

What properties does the cpu port node need to contain to force it?
phy-mode = "2500base-x"; is not enough.
Marek

On Thu, 24 Jan 2019 17:48:05 +0100
Andrew Lunn <[email-masked]> wrote:

> > yes, I wanted to set the cpu port mode in DTS at first, but if I
> > understood the code correctly (maybe I made a mistake), the CPU port
> > mode is not determined from DTS (since there is no phy). Am I
> > wrong?  
> 
> It should work. I have boards which use it for DSA ports. I'm not sure
> i have a board with it for a CPU port though.
> 
>    Andrew